package domain

type AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity struct {
	/*
	   通用限购信息，-1为不限制，默认为不限制     */
	LimitInfo *AlibabaWdkMarketingItempoolActivityCreateLimitInfo `json:"limit_info,omitempty" `

	/*
	   商品池活动的梯度列表     */
	RuleStairs *[]AlibabaWdkMarketingItempoolActivityCreateOpenPromotionRuleStair `json:"rule_stairs,omitempty" `

	/*
	   活动优惠规则     */
	ActivityRule *AlibabaWdkMarketingItempoolActivityCreateActivityRule `json:"activity_rule,omitempty" `

	/*
	   逻辑分组规则     */
	LogicGroupRules *[]AlibabaWdkMarketingItempoolActivityCreateOpenLogicGroupRule `json:"logic_group_rules,omitempty" `

	/*
	   参加活动的渠道店ids     */
	ShopIds *[]string `json:"shop_ids,omitempty" `

	/*
	   活动结束时间     */
	EndTime *int64 `json:"end_time,omitempty" `

	/*
	   活动开始时间     */
	StartTime *int64 `json:"start_time,omitempty" `

	/*
	   活动描述     */
	Description *string `json:"description,omitempty" `

	/*
	   活动标题     */
	ActivityName *string `json:"activity_name,omitempty" `

	/*
	   商家人群编码     */
	MerchantCrowdCode *string `json:"merchant_crowd_code,omitempty" `

	/*
	   淘鲜达人群编码     */
	TxdCrowdCode *string `json:"txd_crowd_code,omitempty" `

	/*
	   会员维度活动参与人群限制：-1:不限制 1:会员专享 2:非会员专享     */
	MemberLimit *int64 `json:"member_limit,omitempty" `

	/*
	   优惠适用场景[APP|POS|POS+APP分别对应的值为1|2|1,2]     */
	Terminals *[]int32 `json:"terminals,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   周期优惠信息     */
	PeriodConfig *AlibabaWdkMarketingItempoolActivityCreatePeriodConfig `json:"period_config,omitempty" `

	/*
	   是否是组合优惠     */
	IsComb *bool `json:"is_comb,omitempty" `

	/*
	   活动优先级，值越大表示优先级越高，必须大于0     */
	PriorityValue *int64 `json:"priority_value,omitempty" `

	/*
	   商品池是否排除特价 defalutValue:false    */
	ExcludeSingle *bool `json:"exclude_single,omitempty" `

	/*
	   是否是类目优惠     */
	IsCategory *bool `json:"is_category,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步渠道配置     */
	ChannelConfigList *[]AlibabaWdkMarketingItempoolActivityCreateChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetLimitInfo(v AlibabaWdkMarketingItempoolActivityCreateLimitInfo) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.LimitInfo = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetRuleStairs(v []AlibabaWdkMarketingItempoolActivityCreateOpenPromotionRuleStair) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.RuleStairs = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetActivityRule(v AlibabaWdkMarketingItempoolActivityCreateActivityRule) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.ActivityRule = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetLogicGroupRules(v []AlibabaWdkMarketingItempoolActivityCreateOpenLogicGroupRule) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.LogicGroupRules = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetShopIds(v []string) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.ShopIds = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetEndTime(v int64) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.EndTime = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetStartTime(v int64) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetDescription(v string) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.Description = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetActivityName(v string) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.ActivityName = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetMerchantCrowdCode(v string) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.MerchantCrowdCode = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetTxdCrowdCode(v string) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.TxdCrowdCode = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetMemberLimit(v int64) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.MemberLimit = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetTerminals(v []int32) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.Terminals = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetOutActId(v string) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetPeriodConfig(v AlibabaWdkMarketingItempoolActivityCreatePeriodConfig) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.PeriodConfig = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetIsComb(v bool) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.IsComb = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetPriorityValue(v int64) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.PriorityValue = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetExcludeSingle(v bool) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.ExcludeSingle = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetIsCategory(v bool) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.IsCategory = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetByChannel(v bool) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.ByChannel = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) SetChannelConfigList(v []AlibabaWdkMarketingItempoolActivityCreateChannelConfig) *AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity {
	s.ChannelConfigList = &v
	return s
}
